// =====================================================================
//  $Id: TCamacSwitchRegisterModule.cc,v 1.3 2003/10/06 17:02:40 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TCamacSwitchRegisterModule.cc,v $
//  Revision 1.3  2003/10/06 17:02:40  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:19:10  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TCamacSwitchRegisterModule.hh"
#include "TDataSegment.hh"
#include "TDataElement.hh"

TCamacSwitchRegisterModule::TCamacSwitchRegisterModule( TCamacCrateController* cc7x00, Tint slot, Tint nch, Tdata_t datalen )
  : TCamacModule( cc7x00, slot, nch, datalen )
{;}

TCamacSwitchRegisterModule::TCamacSwitchRegisterModule( const TCamacSwitchRegisterModule& right )
  : TCamacModule( right )
{;}

TCamacSwitchRegisterModule::~TCamacSwitchRegisterModule()
{;}

const TCamacSwitchRegisterModule& TCamacSwitchRegisterModule::operator=( const TCamacSwitchRegisterModule& right )
{
  *( (TCamacModule*)this ) = *( (TCamacModule*)(&right) );
  return *this;
}

Tbool TCamacSwitchRegisterModule::operator==( const TCamacSwitchRegisterModule& right ) const
{
  return *( (TCamacModule*)this ) == *( (TCamacModule*)(&right) );
}

Tbool TCamacSwitchRegisterModule::operator!=( const TCamacSwitchRegisterModule& right ) const
{
  return *( (TCamacModule*)this ) != *( (TCamacModule*)(&right) );
}

Tvoid TCamacSwitchRegisterModule::FillData( TDataElement& element, Tint channel )
{
  if ( channel < 0 || channel >= theNumberOfChannels ) {
    Tcerr << "TCamacSwitchRegisterModule::FillData: invalid ID " << channel << Tendl;
    element.FillData( &theStatus, tTypeInt, 1 );
  } else {
    Read( channel );
    element.FillData( &theCamacData, tTypeUnsignedInt, 1 );
  }
  return;
}
